Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractRemoveRule

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractRemoveRule

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractRemoveRule extends IdTitle
Описание правила для автоматического удаления договора

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ContractRemoveRule.RemoveRuleType`
  `static enum`
  `ContractRemoveRule.TypeRuleRemoveByTime`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractRemoveRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getBalance()`
  `String`
  `getComment()`
  `LocalDate`
  `getDateFrom()`
  `LocalDate`
  `getDateTo()`
  `List<Integer>`
  `getLabels()`
  `ContractRemoveRule.RemoveRuleType`
  `getRemoveRuleType()`
  `List<Integer>`
  `getStatuses()`
  `int`
  `getTimeCount()`
  `ContractRemoveRule.TypeRuleRemoveByTime`
  `getTypeRuleRemoveByTime()`
  `void`
  `setBalance(BigDecimal balance)`
  `void`
  `setComment(String comment)`
  `void`
  `setDateFrom(LocalDate dateFrom)`
  `void`
  `setDateTo(LocalDate dateTo)`
  `void`
  `setLabels(List<Integer> labels)`
  `void`
  `setRemoveRuleType(ContractRemoveRule.RemoveRuleType removeRuleType)`
  `void`
  `setStatuses(List<Integer> statuses)`
  `void`
  `setTimeCount(int timeCount)`
  `void`
  `setTypeRuleRemoveByTime(ContractRemoveRule.TypeRuleRemoveByTime typeRuleRemoveByTime)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractRemoveRule

    public ContractRemoveRule()

- ## Method Details

  - ### getDateFrom

    public LocalDate getDateFrom()

  - ### setDateFrom

    public void setDateFrom(LocalDate dateFrom)

  - ### getDateTo

    public LocalDate getDateTo()

  - ### setDateTo

    public void setDateTo(LocalDate dateTo)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getRemoveRuleType

    public ContractRemoveRule.RemoveRuleType getRemoveRuleType()

  - ### setRemoveRuleType

    public void setRemoveRuleType(ContractRemoveRule.RemoveRuleType removeRuleType)

  - ### getTypeRuleRemoveByTime

    public ContractRemoveRule.TypeRuleRemoveByTime getTypeRuleRemoveByTime()

  - ### setTypeRuleRemoveByTime

    public void setTypeRuleRemoveByTime(ContractRemoveRule.TypeRuleRemoveByTime typeRuleRemoveByTime)

  - ### getTimeCount

    public int getTimeCount()

  - ### setTimeCount

    public void setTimeCount(int timeCount)

  - ### getBalance

    public BigDecimal getBalance()

  - ### setBalance

    public void setBalance(BigDecimal balance)

  - ### getLabels

    public List<Integer> getLabels()

  - ### setLabels

    public void setLabels(List<Integer> labels)

  - ### getStatuses

    public List<Integer> getStatuses()

  - ### setStatuses

    public void setStatuses(List<Integer> statuses)